Page MenuHomePhabricator

The phpunit-coverage jobs shouldn't run npm install
Open, MediumPublic

Description

As observed by @Legoktm in T224983.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2019, 5:39 PM
hashar added subscribers: awight, hashar.

That is an artifact from Quibble, it has logic to skip installing dependencies (--skip-deps) but that also skip installing development dependencies which we need for PHPUnit.

So potentially we would need yet another more fine command to be able to install solely development dependencies. @awight has proposed a long chain of patch last week which might makes it easier.

Change 540387 had a related patch set uploaded (by Awight; owner: Awight):
[integration/quibble@master] Parameter to skip npm install

https://gerrit.wikimedia.org/r/540387

Change 540389 had a related patch set uploaded (by Awight; owner: Awight):
[integration/config@master] Skip npm install for PHPUnit coverage jobs

https://gerrit.wikimedia.org/r/540389

awight moved this task from Backlog to In progress on the Quibble board.Oct 2 2019, 12:05 PM

Change 540389 abandoned by Awight:
Skip npm install for PHPUnit coverage jobs

Reason:
There was a simpler way to do this: run npm install just before any npm test or selenium test.

https://gerrit.wikimedia.org/r/540389

hashar triaged this task as Medium priority.Oct 17 2019, 12:49 PM

Change 540387 abandoned by Awight:
Npm install before each node command

Reason:
This was done better in I171a99e1b101

https://gerrit.wikimedia.org/r/540387

Change 588780 had a related patch set uploaded (by Awight; owner: Awight):
[integration/quibble@master] Inline npm_install call

https://gerrit.wikimedia.org/r/588780

This should be the last patch and will accomplish the task's goal: https://gerrit.wikimedia.org/r/#/c/integration/quibble/+/588780/

Change 588780 abandoned by Awight:
Inline npm_install call

Reason:
Looks like we're running into the limits of manual dependency resolution... this step is required for multiple later steps.

https://gerrit.wikimedia.org/r/588780